class Bukkit

  # A delegate for handling block changes. This serves as a direct interface
  # between generation algorithms in the server implementation and utilizing
  # code.
  module BlockChangeDelegate

    # Gets the height of the world.
    #
    # @return [Integer] Height of the world
    def height; end
    alias_method :getHeight, :height

    # Checks if the specified block is empty (air) or not.
    #
    # @param x [Numeric] X coordinate
    # @param y [Numeric] Y coordinate
    # @param z [Numeric] Z coordinate
    def empty?(x, y, z); end
    alias_method :isEmpty, :empty?

  end

end