require_relative 'plugin/messaging/plugin_message_recipient'

require_relative 'server/commands'
require_relative 'server/config'
require_relative 'server/info'
require_relative 'server/network'
require_relative 'server/players'
require_relative 'server/processing'
require_relative 'server/recipes'
require_relative 'server/whitelist'
require_relative 'server/world'

class Bukkit

  module Server
    include Bukkit::Messaging::PluginMessageRecipient

    BROADCAST_CHANNEL_ADMINISTRATIVE = 'bukkit.broadcast.admin'

    BROADCAST_CHANNEL_USERS = 'bukkit.broadcast.user'

    include Bukkit::Server::Commands
    include Bukkit::Server::Config
    include Bukkit::Server::Info
    include Bukkit::Server::Network
    include Bukkit::Server::Players
    include Bukkit::Server::Processing
    include Bukkit::Server::Recipes
    include Bukkit::Server::Whitelist
    include Bukkit::Server::World

    def reload; end

    def logger; end
    alias_method :getLogger, :logger

    def shutdown; end

  end

end
