Dir[File.dirname(__FILE__) + '/world_type/**/*.rb'].each do |file|
  load file
end

class Bukkit

  class WorldType
    attr_reader :name
    alias_method :getName, :name
    
    NORMAL = Normal
    FLAT = Flat
    VERSION_1_1 = Version11
    LARGE_BIOMES = LargeBiomes
    AMPLIFIED = Amplified
    
    BY_NAME = {}

    def initialize(name = self.to_s.upcase)
      @name = name
      self
    end

    class << self
      def values
        [
          NORMAL,
          FLAT,
          VERSION_1_1,
          LARGE_BIOMES,
          AMPLIFIED
        ]
      end
      
      def by_name(name)
        BY_NAME[name]
      end
    
      alias_method :getByName, :by_name
    end
    
    begin
      self.values.each do |type|
        BY_NAME[type.name] = type
      end
    end

  end

end
